summaryrefslogtreecommitdiff
path: root/t/subpkg.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/subpkg.sh')
-rw-r--r--t/subpkg.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/t/subpkg.sh b/t/subpkg.sh
index c9eecd09c..ccae9a84d 100644
--- a/t/subpkg.sh
+++ b/t/subpkg.sh
@@ -23,7 +23,7 @@ mkdir m4
cat >m4/foo.m4 <<'EOF'
AC_DEFUN([FOO],[
- AC_PROG_CC
+ AC_REQUIRE([AC_PROG_CC])
AC_OUTPUT
])
EOF
@@ -102,7 +102,10 @@ $AUTOHEADER
$AUTOMAKE -Wno-override --add-missing
cd ..
-./configure
+./configure >stdout || { cat stdout; exit 1; }
+cat stdout
+$FGREP "checking whether $CC understands -c and -o together" stdout
+
$MAKE
$MAKE distcheck
test ! -e subpack-1 # Make sure distcheck cleans up after itself.